org.apache.tomcat.util.http

## Class FastHttpDateFormat

- java.lang.Object
- - org.apache.tomcat.util.http.FastHttpDateFormat

-     public final class FastHttpDateFormat
      extends Object

  Utility class to generate HTTP dates.
  Author:
    Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastHttpDateFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `formatDate(long value, DateFormat threadLocalformat)` Get the HTTP format of the specified date.
    `static String` | `getCurrentDate()` Get the current date in HTTP format.
    `static long` | `parseDate(String value, DateFormat[] threadLocalformats)` Try to parse the given date as a HTTP date.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastHttpDateFormat

          public FastHttpDateFormat()

  - ### Method Detail

    - #### getCurrentDate

          public static final String getCurrentDate()

      Get the current date in HTTP format.

    - #### formatDate

          public static final String formatDate(long value,
                          DateFormat threadLocalformat)

      Get the HTTP format of the specified date.

    - #### parseDate

          public static final long parseDate(String value,
                       DateFormat[] threadLocalformats)

      Try to parse the given date as a HTTP date.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.